=== debian/changelog ===
ros-dashing-rmw-implementation (0.7.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 Dec 2019 22:07:24 -0000
